#!/opt/alt/python37/bin/python3 -bb
# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2020 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#


import argparse
import syslog
from cl_plus.daemon.daemon import daemon_main
from clsentry import init_sentry_client

from cl_plus.consts import PKG_VERSION_TINY, SENTRY_DSN


if __name__ == '__main__':
    try:
        init_sentry_client('clplus-sender', PKG_VERSION_TINY, SENTRY_DSN, custom_length=7000)
    except Exception as e:
        syslog.syslog(syslog.LOG_ERR, f'Failed to init sentry client: {e}')
    parser = argparse.ArgumentParser(prog='clplus-sender',
                                     add_help=True,
                                     description='Cloudlinux+ sender daemon')

    parser.add_argument('-t', '--test',
                        help='Collected data, prints to stdout, without sending to pushgateway, not checking jwt token',
                        action='store_true',
                        dest='test',
                        default=False)

    opts = parser.parse_args()
    daemon_main(opts)
